New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Replace slave and master by replica and primary #29744

Merged
merged 1 commit into from Jan 2, 2019

Conversation

Projects
None yet
5 participants
@Mx-Glitter
Copy link
Contributor

Mx-Glitter commented Jan 1, 2019

Q A
Branch? 4.2
Bug fix? no
New feature? no
BC breaks? no
Deprecations? no
Tests pass? yes
Fixed tickets #29735
License MIT
Doc PR

I targeted 4.2 branch because the words were introduced in it cf. #27291

@nicolas-grekas nicolas-grekas added this to the 4.2 milestone Jan 1, 2019

@Mx-Glitter

This comment has been minimized.

Copy link
Contributor

Mx-Glitter commented Jan 1, 2019

AppVeyor build failed and is hanging here

Screenshot and output in case build window is not available anymore
image

Output

Build started
SET PATH=c:\php;%PATH%
SET COMPOSER_NO_INTERACTION=1
SET SYMFONY_DEPRECATIONS_HELPER=strict
SET "SYMFONY_REQUIRE=>=4.2"
SET ANSICON=121x90 (121x90)
REG ADD "HKEY_CURRENT_USER\Software\Microsoft\Command Processor" /v DelayedExpansion /t REG_DWORD /d 1 /f
The operation completed successfully.
git clone -q --depth=2 https://github.com/symfony/symfony.git c:\projects\symfony
git fetch -q origin +refs/pull/29744/merge:
git checkout -qf FETCH_HEAD
Restoring build cache
Cache 'composer.phar' - Restored
Cache '.phpunit' - Restored
Running Install scripts
mkdir c:\php && cd c:\php
appveyor DownloadFile https://github.com/symfony/binary-utils/releases/download/v0.1/php-7.1.3-Win32-VC14-x86.zip
Downloading php-7.1.3-Win32-VC14-x86.zip (22,339,738 bytes)...100%
7z x php-7.1.3-Win32-VC14-x86.zip -y >nul
cd ext
appveyor DownloadFile https://github.com/symfony/binary-utils/releases/download/v0.1/php_apcu-5.1.8-7.1-ts-vc14-x86.zip
Downloading php_apcu-5.1.8-7.1-ts-vc14-x86.zip (180,602 bytes)...100%
7z x php_apcu-5.1.8-7.1-ts-vc14-x86.zip -y >nul
cd ..
copy /Y php.ini-development php.ini-min
        1 file(s) copied.
echo memory_limit=-1 >> php.ini-min
echo serialize_precision=14 >> php.ini-min
echo max_execution_time=1200 >> php.ini-min
echo date.timezone="America/Los_Angeles" >> php.ini-min
echo extension_dir=ext >> php.ini-min
copy /Y php.ini-min php.ini-max
        1 file(s) copied.
echo zend_extension=php_opcache.dll >> php.ini-max
echo opcache.enable_cli=1 >> php.ini-max
echo extension=php_openssl.dll >> php.ini-max
echo extension=php_apcu.dll >> php.ini-max
echo apc.enable_cli=1 >> php.ini-max
echo extension=php_intl.dll >> php.ini-max
echo extension=php_mbstring.dll >> php.ini-max
echo extension=php_fileinfo.dll >> php.ini-max
echo extension=php_pdo_sqlite.dll >> php.ini-max
echo extension=php_curl.dll >> php.ini-max
copy /Y php.ini-max php.ini
        1 file(s) copied.
cd c:\projects\symfony
IF NOT EXIST composer.phar (appveyor DownloadFile https://github.com/composer/composer/releases/download/1.7.1/composer.phar)
php composer.phar self-update
You are already using composer version 1.8.0 (stable channel).
copy /Y .composer\* %APPDATA%\Composer\
.composer\config.json
        1 file(s) copied.
php composer.phar global require --no-progress --no-scripts --no-plugins symfony/flex dev-master
Changed current directory to C:/Users/appveyor/AppData/Roaming/Composer
./composer.json has been created
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 1 install, 0 updates, 0 removals
  - Installing symfony/flex (dev-master 7adc523): Downloading (100%)
Writing lock file
Generating autoload files
php .github/build-packages.php "HEAD^" src\Symfony\Bridge\PhpUnit src\Symfony\Contracts
IF %APPVEYOR_REPO_BRANCH%==master (SET COMPOSER_ROOT_VERSION=dev-master) ELSE (SET COMPOSER_ROOT_VERSION=%APPVEYOR_REPO_BRANCH%.x-dev)
php composer.phar update --no-progress --no-suggest --ansi
Loading composer repositories with package information
Updating dependencies (including require-dev)
Restricting packages listed in "symfony/symfony" to ">=4.2"
Prefetching 42 packages 
  - Downloading (100%)
Package operations: 42 installs, 0 updates, 0 removals
  - Installing ocramius/package-versions (1.3.0): Loading from cache
  - Installing psr/cache (dev-master 78c5a01): Loading from cache
  - Installing cache/tag-interop (dev-master 992b7ed): Loading from cache
  - Installing cache/integration-tests (dev-master 05f9717): Loading from cache
  - Installing doctrine/collections (dev-master 73b0d9a): Loading from cache
  - Installing doctrine/event-manager (dev-master dbdc567): Loading from cache
  - Installing doctrine/lexer (dev-master 4ab6ea7): Loading from cache
  - Installing doctrine/annotations (1.7.x-dev 232c5da): Loading from cache
  - Installing doctrine/reflection (dev-master 4a97a22): Loading from cache
  - Installing doctrine/cache (dev-master bdf3e32): Loading from cache
  - Installing doctrine/persistence (dev-master 3a6c468): Loading from cache
  - Installing psr/link (dev-master 131b5c3): Loading from cache
  - Installing fig/link-util (dev-master 1a07821): Loading from cache
  - Installing symfony/polyfill-mbstring (v1.10.0): Loading from cache
  - Installing symfony/polyfill-ctype (v1.10.0): Loading from cache
  - Installing twig/twig (2.x-dev 139c752): Loading from cache
  - Installing psr/container (dev-master 014d250): Loading from cache
  - Installing psr/log (dev-master c4421fc): Loading from cache
  - Installing psr/simple-cache (dev-master 408d5ea): Loading from cache
  - Installing symfony/contracts (dev-master 1aa7ab2): Loading from cache
  - Installing symfony/polyfill-php72 (v1.10.0): Loading from cache
  - Installing symfony/polyfill-intl-icu (v1.10.0): Loading from cache
  - Installing doctrine/inflector (1.3.x-dev 45d9b13): Loading from cache
  - Installing doctrine/common (dev-master af54fea): Loading from cache
  - Installing doctrine/data-fixtures (1.0.x-dev bd44f6b): Loading from cache
  - Installing doctrine/instantiator (dev-master 8c8c1af): Loading from cache
  - Installing doctrine/dbal (2.9.x-dev f192610): Loading from cache
  - Installing doctrine/orm (2.7.x-dev 266f0d7): Loading from cache
  - Installing jdorn/sql-formatter (dev-master 7ef9b85): Loading from cache
  - Installing doctrine/doctrine-cache-bundle (dev-master ea55012): Loading from cache
  - Installing symfony/security-acl (dev-master 22928f6): Loading from cache
  - Installing doctrine/doctrine-bundle (dev-master ad278ef): Loading from cache
  - Installing monolog/monolog (1.x-dev 4d5b7e6): Loading from cache
  - Installing zendframework/zend-code (dev-develop 8003f74): Loading from cache
  - Installing ocramius/proxy-manager (2.1.x-dev e18ac87): Loading from cache
  - Installing predis/predis (v1.1.x-dev 111d100): Loading from cache
  - Installing egulias/email-validator (2.1.7): Loading from cache
  - Installing symfony/phpunit-bridge (dev-master f2f80d0): Loading from cache
  - Installing webmozart/assert (1.4.0): Loading from cache
  - Installing phpdocumentor/reflection-common (1.0.1): Loading from cache
  - Installing phpdocumentor/type-resolver (0.4.0): Loading from cache
  - Installing phpdocumentor/reflection-docblock (4.3.0): Loading from cache
Writing lock file
Generating autoload files
Symfony recipes are disabled: "symfony/flex" not found in the root composer.json
ocramius/package-versions:  Generating version class...
ocramius/package-versions: ...done generating version class
php phpunit install
#!/usr/bin/env php
The directory is not empty.
Installing phpunit/phpunit (6.5.13)
Plugins have been disabled.
                                                
  [InvalidArgumentException]                    
  Project directory phpunit-6.5/ is not empty.  
                                                
create-project [-s|--stability STABILITY] [--prefer-source] [--prefer-dist] [--repository REPOSITORY] [--repository-url REPOSITORY-URL] [--dev] [--no-dev] [--no-custom-installers] [--no-scripts] [--no-progress] [--no-secure-http] [--keep-vcs] [--remove-vcs] [--no-install] [--ignore-platform-reqs] [--] [<package>] [<directory>] [<version>]
No composer.json in current directory, do you want to use the one at C:\projects\symfony? [Y,n]? 

@fabpot

fabpot approved these changes Jan 2, 2019

Replace slave and master by replica and primary
Remove racially charged terms.

@fabpot fabpot changed the base branch from master to 4.2 Jan 2, 2019

@fabpot fabpot force-pushed the Mx-Glitter:remove-slave-master-words branch from 3a9cb37 to f06e6b4 Jan 2, 2019

@fabpot

This comment has been minimized.

Copy link
Member

fabpot commented Jan 2, 2019

Thank you @Mx-Glitter.

@fabpot fabpot merged commit f06e6b4 into symfony:4.2 Jan 2, 2019

1 of 3 checks passed

continuous-integration/appveyor/pr Waiting for AppVeyor build to complete
Details
continuous-integration/travis-ci/pr The Travis CI build is in progress
Details
fabbot.io Your code looks good.
Details

fabpot added a commit that referenced this pull request Jan 2, 2019

minor #29744 Replace slave and master by replica and primary (Mx-Glit…
…ter)

This PR was submitted for the master branch but it was merged into the 4.2 branch instead (closes #29744).

Discussion
----------

Replace slave and master by replica and primary

| Q             | A
| ------------- | ---
| Branch?       | 4.2
| Bug fix?      | no
| New feature?  | no
| BC breaks?    | no
| Deprecations? | no
| Tests pass?   | yes
| Fixed tickets | #29735
| License       | MIT
| Doc PR        |

I targeted 4.2 branch because the words were introduced in it cf. #27291

Commits
-------

f06e6b4 Replace slave and master by replica and primary

@Mx-Glitter Mx-Glitter deleted the Mx-Glitter:remove-slave-master-words branch Jan 3, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment